Bug 1299333 - playbook should configure fluentd on containerized env
playbook should configure fluentd on containerized env
Status: CLOSED WONTFIX
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Scott Dodson
Ma xiaoqiang
Andrew Butcher
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-18 02:12 EST by Ma xiaoqiang
Modified: 2016-07-03 20:46 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-11 16:18:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ma xiaoqiang 2016-01-18 02:12:57 EST
Description of problem:
playbook should configure fluentd on containerized env


Version-Release number of selected component (if applicable):
openshift-ansible-3.0.33-1.git.0.bb1f8aa.el7aos.noarch

How reproducible:
always

Steps to Reproduce:
1. Install contaierized environment on rhel7 or atomic with logrotate
<--snip-->
openshift_use_fluentd=true
<--snip__>

Actual results:
The playbook abort 

Expected results:
playbook configuring the fluentd on both rhel and atomic when installing containerized env

Additional info:
Comment 1 Andrew Butcher 2016-01-27 11:07:14 EST
Proposed fix: https://github.com/openshift/openshift-ansible/pull/1279

Fluentd will be installed on RHEL when configuring containerized env
Comment 4 Ma xiaoqiang 2016-01-28 21:17:19 EST
Fail to install fluentd_master on master

TASK: [fluentd_master | wait for etcd to start up] **************************** 
fatal: [openshift-149.lab.eng.nay.redhat.com] => error while evaluating conditional: embedded_etcd | bool

FATAL: all hosts have already failed -- aborting
Comment 5 Brenton Leanhardt 2016-02-11 16:18:52 EST
For now we decided to remove this code from the playbook:
https://github.com/openshift/openshift-ansible/pull/1324

Note You need to log in before you can comment on or make changes to this bug.